---
description: Create Solid apps in one command with create-solid.
---

# Create Solid

The easiest way to get started with Solid is by using `create-solid`. This CLI tool enables you to quickly start building a new Solid application, with everything set up for you. You can create a new app using the default Solid template, or by using one of the [official Solid examples](https://github.com/solidjs/solid-start/tree/main/examples). To get started, use the following command:

```bash
#or
npm init solid@latest ./my-solid-app

# or
yarn create solid ./my-solid-app
```

### Why use Create Solid?

`create-solid` allows you to create a new Solid app within seconds. It is officially maintained by the creators of Solid, and includes a number of benefits:

- **Interactive Experience**: Running `npm init solid@latest` (with no arguments) launches an interactive experience that guides you through setting up a project.
- **Zero Dependencies**: Initializing a project is as quick as one second. Create Solid has zero dependencies.
- **Support for Examples**: Create Solid App can bootstrap your application using an example from the SolidStart official examples collection (e.g. `npm init solid@latest --example with-mdx`).
